Bug 1201819

Summary: installation-images fails to build with libyui update
Product: [openSUSE] openSUSE Tumbleweed Reporter: Fabian Vogt <fvogt>
Component: InstallationAssignee: Steffen Winterfeldt <snwint>
Status: NEW --- QA Contact: Jiri Srain <jsrain>
Severity: Normal    
Priority: P5 - None CC: yast2-maintainers
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Fabian Vogt 2022-07-25 07:03:57 UTC
libyui was changed to hard depend on glibc-locale-base instead of glibc-locale. Apparently installation-images relied on that implicitly, as it now fails to build because glibc-locale is no longer present.

libyui submission: https://build.opensuse.org/request/show/990550

i-i build failure:

[  248s] we need package glibc-i18ndata [2.35-8.2.noarch]
[  248s] mk_image: no such package: glibc-locale at lib/ReadConfig.pm line 414, <F> line 93 in data/base/base.file_list line 93.
[  248s] make: *** [Makefile:83: base] Error 2
[  248s] error: Bad exit status from /var/tmp/rpm-tmp.q0NsGD (%build)